TESTSHADE(1)

NAME
testshade - test Open Shading Language

SYNOPSIS
testshade [options] shaders...

DESCRIPTION
testshade is a program that lets you execute a shader (or connected shader network) on a rectangular array of points, and save any of its outputs as images. This allows for verification of shaders (and the shading system) without needing to be integrated into a fully functional renderer, and is the basis for most of our testsuite verification. Along with testrender, testshade is a good example of how to call the OSL libraries.

OPTIONS

--help
    Print help message

-v  Verbose messages

--debug
    Lots of debugging info

--debug2
    Even more debugging info

--stats
    Print run statistics

-g %d %d
    Make an X x Y grid of shading points

-o %s %s
    Output (variable, filename)

-od %s
    Set the output data format to one of: uint8, half, float

--layer %s
    Set next layer name

--fparam %s %s
    Add a float param (args: name value)

--iparam %s %s
    Add an integer param (args: name value)

--vparam %s %s %s %s
    Add a vector or color param (args: name x y z)

--sparam %s %s
    Add a string param (args: name value)

--connect %s %s %s %s
    Connect fromlayer fromoutput tolayer toinput

--raytype %s
    Set the raytype

--iters %d
    Number of iterations

-O0 Do no runtime shader optimization

-O1 Do a little runtime shader optimization

-O2 Do lots of runtime shader optimization

--center
    Shade at output pixel 'centers' rather than corners

--debugnan
    Turn on 'debug_nan' mode

--debuguninit
    Turn on 'debug_uninit' mode

--options %s
    Set extra OSL options

shaders
    Shader names (basenames of .oso files, without suffix)

SEE ALSO
oslc(1), oslinfo(1), testrender(1).

AUTHOR
Open Shading Language was written by Sony Pictures Imageworks, et al.

This manual page was written by IRIE Shinsuke <irieshinsuke@yahoo.co.jp>, for the Debian project (and may be used by others).